echo off
REM -----------------------------------------------------------------------
REM USER INFORMATION:  Update this information if any path or floppy 
REM                    information is incorrect.

REM Installation Drive
set instdrv=C:


REM Installation Directory
set instdir=\TBSNEW


REM Floppy Drive Letter  
set floppy=A:


REM -----------------------------------------------------------------------



REM   DO NOT CHANGE ANY SETTINGS IN THE SECTION BELOW.  ALL CHANGES
REM   SHOULD BE MADE IN THE "SET" STATEMENTS ABOVE
REM -------------------------------------------------------------------------

@echo off
cls
echo ͻ    
echo  TBS-2000 / Tropez32 EEPROM UPDATE                                    
echo ͼ    
echo.
echo.
echo 1.  Update TBS-2000 / Tropez32 EEPROM to Version 1.5   
echo 2.  Quit
echo.
echo.
choice /c:1234 Choose an option 
if errorlevel 2 goto Exit
if errorlevel 1 goto TBS2000
    
:TBS2000
echo off
cls
echo ͻ    
echo  TBS-2000 / Tropez32 EEPROM UPDATE                                    
echo ͼ    
echo.
echo This program will update the TBS-2000 or Tropez32's EEPROM
echo for use with the 1.5 version of the installation.  Please
echo choose the address at which you want to program the card.
echo.
echo Note: All four addresses program the card with the same
echo       information.  If you are not sure, choose the default.
echo.
echo 1.  Program the card at port address 110 (Default)
echo 2.  Program the card at port address 120
echo 3.  Program the card at port address 250
echo 4.  Program the card at port address 260
echo 5.  Quit
echo.               
choice /c:12345 Choose an option 
if errorlevel 5 goto Exit
if errorlevel 4 goto 260
if errorlevel 3 goto 250
if errorlevel 2 goto 120
if errorlevel 1 goto 110

:260
set io=260
cls
echo ͻ
echo  TBS-2000 / Tropez32 EEPROM UPDATE 
echo ͼ    
echo.
echo Your Tropez Plus hardware will now be updated.  If you do not have
echo the Tropez Plus card in the system at this time, quit and shut down 
echo the computer.  Insert the card in the machine and reboot into DOS
echo or Windows 95 Safe Mode and run this program again. 
echo. 
choice /c:cq (C)ontinue or (Q)uit? 
if errorlevel 2 goto Exit
cls
echo ͻ    
echo  TBS-2000 / Tropez32 EEPROM UPDATE                                    
echo ͼ    
echo. 
echo REFERENCE:
echo.
echo Reading data from TBS2014.ASM
echo Length = 203    Programming EEPROM Block: 1
echo Verifying TBS2014.ASM against EEPROM . . .      Verified OKAY
echo.
echo 
echo If the TBS-200 hardware was updated correctly, 
echo the REFERENCE section should match the section labeled
echo YOUR CARD.  If they don't match, try programming the
echo card at a different port address.
echo 
echo.
echo YOUR CARD:
resource /f0x%io% /r=tbs2014.ASM /e /m
echo.
pause
goto LastScreen

:250
set io=250
cls
echo ͻ
echo  TBS-2000 / Tropez32 EEPROM UPDATE 
echo ͼ    
echo.
echo Your Tropez Plus hardware will now be updated.  If you do not have
echo the Tropez Plus card in the system at this time, quit and shut down 
echo the computer.  Insert the card in the machine and reboot into DOS
echo or Windows 95 Safe Mode and run this program again. 
echo. 
choice /c:cq (C)ontinue or (Q)uit? 
if errorlevel 2 goto Exit
cls
echo ͻ    
echo  TBS-2000 / Tropez32 EEPROM UPDATE                                    
echo ͼ    
echo. 
echo REFERENCE:
echo.
echo Reading data from TBS2014.ASM
echo Length = 203    Programming EEPROM Block: 1
echo Verifying TBS2014.ASM against EEPROM . . .      Verified OKAY
echo.
echo 
echo If the TBS-200 hardware was updated correctly, 
echo the REFERENCE section should match the section labeled
echo YOUR CARD.  If they don't match, try programming the
echo card at a different port address.
echo 
echo.
echo YOUR CARD:
resource /f0x%io% /r=tbs2014.ASM /e /m
echo.
pause
goto LastScreen

:120
set io=120
cls
echo ͻ
echo  TBS-2000 / Tropez32 EEPROM UPDATE 
echo ͼ    
echo.
echo Your Tropez Plus hardware will now be updated.  If you do not have
echo the Tropez Plus card in the system at this time, quit and shut down 
echo the computer.  Insert the card in the machine and reboot into DOS
echo or Windows 95 Safe Mode and run this program again. 
echo. 
choice /c:cq (C)ontinue or (Q)uit? 
if errorlevel 2 goto Exit
cls
echo ͻ    
echo  TBS-2000 / Tropez32 EEPROM UPDATE                                    
echo ͼ    
echo. 
echo REFERENCE:
echo.
echo Reading data from TBS2014.ASM
echo Length = 203    Programming EEPROM Block: 1
echo Verifying TBS2014.ASM against EEPROM . . .      Verified OKAY
echo.
echo 
echo If the TBS-200 hardware was updated correctly, 
echo the REFERENCE section should match the section labeled
echo YOUR CARD.  If they don't match, try programming the
echo card at a different port address.
echo 
echo.
echo YOUR CARD:
resource /f0x%io% /r=tbs2014.ASM /e /m
echo.
pause
goto LastScreen

:110
set io=110
cls
echo ͻ
echo  TBS-2000 / Tropez32 EEPROM UPDATE 
echo ͼ    
echo.
echo Your Tropez Plus hardware will now be updated.  If you do not have
echo the Tropez Plus card in the system at this time, quit and shut down 
echo the computer.  Insert the card in the machine and reboot into DOS
echo or Windows 95 Safe Mode and run this program again. 
echo. 
choice /c:cq (C)ontinue or (Q)uit? 
if errorlevel 2 goto Exit
cls
echo ͻ    
echo  TBS-2000 / Tropez32 EEPROM UPDATE                                    
echo ͼ    
echo. 
echo REFERENCE:
echo.
echo Reading data from TBS2014.ASM
echo Length = 203    Programming EEPROM Block: 1
echo Verifying TBS2014.ASM against EEPROM . . .      Verified OKAY
echo.
echo 
echo If the TBS-200 hardware was updated correctly, 
echo the REFERENCE section should match the section labeled
echo YOUR CARD.  If they don't match, try programming the
echo card at a different port address.
echo 
echo.
echo YOUR CARD:
resource /f0x%io% /r=tbs2014.ASM /e /m
echo.
pause
goto LastScreen


:LastScreen
cls
echo.
echo ͻ    
echo  TBS-2000 / Tropez32 EEPROM UPDATE                                    
echo ͼ    
echo.
echo Hardware update complete!  If you did not receive any
echo error messages on the previous screen, your card has
echo updated successfully.  Please shut down the computer
echo before re-installing the card.  Follow the directions
echo in the README.TXT file on your TBS-2000 installation
echo diskette for removing the old Windows 95 drivers.
echo.
echo 1. Re-program the card at a different address.
echo 2. Quit.
echo.
choice /c:12 Choose an option
if errorlevel 2 goto Exit
if errorlevel 1 goto TBS2000

:Exit
goto End


:End

        
